View Issue Details

IDProjectCategoryView StatusLast Update
0001873Industrial-Craft²general / otherpublic2017-07-16 22:03
ReporterSeternulonAssigned ToAroma1997 
PriorityhighSeveritycrashReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0001873: Server crash: java.lang.NoSuchMethodError: com.mojang.authlib.GameProfile.getId()Ljava/lang/String; at ic2.core.network.Netw
Description(Sorry my english is not the best)

If I place some bloks (such as Gold Cable or ME Controller from Applied Energistics 2), the minecraft server crashed. I have replace crash one my local system and one a minecraft-server in the web.

*Minecraft: 1.710
*Forge: 10.13.4.1.558
*Ic2: The last build from jenkins
Steps To Reproduce*Play minecraft
* Place some blocks (such as Gold Cable or ME Controller from Applied Energistics 2)
TagsNo tags attached.
Minecraft Version

Relationships

has duplicate 0002232 closedChocohead Game craching when open generator 

Activities

Seternulon

2016-05-09 06:57

reporter  

crash-2016-05-09_06.46.22-server.txt (5,284 bytes)
---- Minecraft Crash Report ----
// Quite honestly, I wouldn't worry myself about that.

Time: 09.05.16 06:46
Description: Exception in server tick loop

java.lang.NoSuchMethodError: com.mojang.authlib.GameProfile.getId()Ljava/lang/String;
	at ic2.core.network.NetworkManager.initiateGuiDisplay(NetworkManager.java:218)
	at ic2.core.Platform.launchGui(Platform.java:86)
	at ic2.core.block.BlockMultiID.func_149727_a(BlockMultiID.java:202)
	at ic2.core.block.generator.block.BlockGenerator.func_149727_a(BlockGenerator.java:183)
	at net.minecraft.server.management.ItemInWorldManager.func_73078_a(ItemInWorldManager.java:376)
	at net.minecraft.network.NetHandlerPlayServer.func_147346_a(NetHandlerPlayServer.java:556)
	at net.minecraft.network.play.client.C08PacketPlayerBlockPlacement.func_148833_a(SourceFile:60)
	at net.minecraft.network.play.client.C08PacketPlayerBlockPlacement.func_148833_a(SourceFile:9)
	at net.minecraft.network.NetworkManager.func_74428_b(NetworkManager.java:212)
	at net.minecraft.network.NetworkSystem.func_151269_c(NetworkSystem.java:165)
	at net.minecraft.server.MinecraftServer.func_71190_q(MinecraftServer.java:659)
	at net.minecraft.server.MinecraftServer.func_71217_p(MinecraftServer.java:547)
	at net.minecraft.server.integrated.IntegratedServer.func_71217_p(IntegratedServer.java:111)
	at net.minecraft.server.MinecraftServer.run(MinecraftServer.java:427)
	at net.minecraft.server.MinecraftServer$2.run(MinecraftServer.java:685)


A detailed walkthrough of the error, its code path and all known details is as follows:
---------------------------------------------------------------------------------------

-- System Details --
Details:
	Minecraft Version: 1.7.10
	Operating System: Windows 10 (amd64) version 10.0
	Java Version: 1.8.0_92, Oracle Corporation
	Java VM Version: Java HotSpot(TM) 64-Bit Server VM (mixed mode), Oracle Corporation
	Memory: 408890272 bytes (389 MB) / 1015623680 bytes (968 MB) up to 1060372480 bytes (1011 MB)
	JVM Flags: 6 total; -XX:HeapDumpPath=MojangTricksIntelDriversForPerformance_javaw.exe_minecraft.exe.heapdump -Xmx1G -XX:+UseConcMarkSweepGC -XX:+CMSIncrementalMode -XX:-UseAdaptiveSizePolicy -Xmn128M
	AABB Pool Size: 0 (0 bytes; 0 MB) allocated, 0 (0 bytes; 0 MB) used
	IntCache: cache: 10, tcache: 90, allocated: 0, tallocated: 0
	FML: MCP v9.05 FML v7.10.99.99 Minecraft Forge 10.13.4.1558 25 mods loaded, 25 mods active
	States: 'U' = Unloaded 'L' = Loaded 'C' = Constructed 'H' = Pre-initialized 'I' = Initialized 'J' = Post-initialized 'A' = Available 'D' = Disabled 'E' = Errored
	UCHIJAAAAAAAAA	mcp{9.05} [Minecraft Coder Pack] (minecraft.jar) 
	UCHIJAAAAAAAAA	FML{7.10.99.99} [Forge Mod Loader] (forge-1.7.10-10.13.4.1558-1.7.10.jar) 
	UCHIJAAAAAAAAA	Forge{10.13.4.1558} [Minecraft Forge] (forge-1.7.10-10.13.4.1558-1.7.10.jar) 
	UCHIJAAAAAAAAA	CodeChickenCore{1.0.4.35} [CodeChicken Core] (minecraft.jar) 
	UCHIJAAAAAAAAA	NotEnoughItems{1.0.4.83} [Not Enough Items] (NotEnoughItems-1.7.10-1.0.4.83-universal.jar) 
	UCHIJAAAAAAAAA	animalsPlus{1.2} [Animals+] (animalsPlus-1.2.jar) 
	UCHIJAAAAAAAAA	BiblioCraft{1.11.4} [BiblioCraft] (BiblioCraft[v1.11.4][MC1.7.10].jar) 
	UCHIJAAAAAAAAA	BiomesOPlenty{2.1.0} [Biomes O' Plenty] (BiomesOPlenty-1.7.10-2.1.0.1338-universal.jar) 
	UCHIJAAAAAAAAA	BiblioWoodsBoP{1.9} [BiblioWoods Biomes O'Plenty Edition] (BiblioWoods[BiomesOPlenty][v1.9].jar) 
	UCHIJAAAAAAAAA	ExtrabiomesXL{3.16.2} [ExtrabiomesXL] (extrabiomesxl_1.7.10-3.16.2.jar) 
	UCHIJAAAAAAAAA	BiblioWoodsEBXL{1.4} [BiblioWoods ExtraBiomesXL Edition] (BiblioWoods[ExtraBiomesXL][v1.4].jar) 
	UCHIJAAAAAAAAA	BuildCraft|Core{7.1.16} [BuildCraft] (buildcraft-7.1.16.jar) 
	UCHIJAAAAAAAAA	BuildCraft|Builders{7.1.16} [BC Builders] (buildcraft-7.1.16.jar) 
	UCHIJAAAAAAAAA	BuildCraft|Transport{7.1.16} [BC Transport] (buildcraft-7.1.16.jar) 
	UCHIJAAAAAAAAA	BuildCraft|Energy{7.1.16} [BC Energy] (buildcraft-7.1.16.jar) 
	UCHIJAAAAAAAAA	BuildCraft|Silicon{7.1.16} [BC Silicon] (buildcraft-7.1.16.jar) 
	UCHIJAAAAAAAAA	BuildCraft|Robotics{7.1.16} [BC Robotics] (buildcraft-7.1.16.jar) 
	UCHIJAAAAAAAAA	BuildCraft|Factory{7.1.16} [BC Factory] (buildcraft-7.1.16.jar) 
	UCHIJAAAAAAAAA	gravestonemod{1.7.2} [GraveStone] (GraveStones-1.7.2_1.4.jar) 
	UCHIJAAAAAAAAA	IC2{2.1.463-experimental} [IndustrialCraft 2] (industrialcraft-2-2.1.463-experimental.jar) 
	UCHIJAAAAAAAAA	inventorytweaks{1.59-dev-152-cf6e263} [Inventory Tweaks] (InventoryTweaks-1.59-dev-152.jar) 
	UCHIJAAAAAAAAA	Railcraft{9.10.0.0} [Railcraft] (Railcraft_1.7.10-9.10.0.0.jar) 
	UCHIJAAAAAAAAA	StorageDrawers{1.7.10-1.5.6} [Storage Drawers] (StorageDrawers-1.7.10-1.5.6.jar) 
	UCHIJAAAAAAAAA	StorageDrawersBop{1.7.10-1.0.1} [Storage Drawers: Biomes O' Plenty Pack] (StorageDrawers-BiomesOPlenty-1.7.10-1.0.1.jar) 
	UCHIJAAAAAAAAA	UndergroundBiomes{0.7} [Underground Biomes Constructs] (UndergroundBiomesConstructs-1.7.2-0.7.jar) 
	GL info: ~~ERROR~~ RuntimeException: No OpenGL context found in the current thread.
	Profiler Position: N/A (disabled)
	Vec3 Pool Size: 0 (0 bytes; 0 MB) allocated, 0 (0 bytes; 0 MB) used
	Player Count: 1 / 8; [EntityPlayerMP['Seternulon'/2772, l='New World7', x=-65,50, y=117,00, z=121,50]]
	Type: Integrated Server (map_client.txt)
	Is Modded: Definitely; Client brand changed to 'fml,forge'

Chocohead

2016-05-09 17:20

developer   ~0004492

You're using an incredibly old version of IC2 designed for 1.7.2, updating it will fix your problem.

Aroma1997

2016-05-10 09:45

developer   ~0004495

Fixed in newer version.
The version you're using is nearly 2 years old. So no, you're not running the latest version from the jenkins...

Issue History

Date Modified Username Field Change
2016-05-09 06:57 Seternulon New Issue
2016-05-09 06:57 Seternulon File Added: crash-2016-05-09_06.46.22-server.txt
2016-05-09 17:20 Chocohead Note Added: 0004492
2016-05-10 09:45 Aroma1997 Note Added: 0004495
2016-05-10 09:45 Aroma1997 Status new => closed
2016-05-10 09:45 Aroma1997 Assigned To => Aroma1997
2016-05-10 09:45 Aroma1997 Resolution open => fixed
2017-07-16 22:03 Chocohead Relationship added has duplicate 0002232